/*
 * Copyright The WildFly Authors
 * SPDX-License-Identifier: Apache-2.0
 */
package org.jboss.as.test.integration.ee.injection.resource.superclass;

import jakarta.annotation.ManagedBean;
import jakarta.annotation.Resource;

/**
 * @author Stuart Douglas
 */
@ManagedBean("bean2")
public class Bean2 extends SuperBean {

    public SimpleManagedBean getBean() {
        return simpleManagedBean;
    }

    int setCount = 0;

    @Resource(lookup = "java:module/string2")
    public void setSimpleString(final String simpleString) {
        super.setSimpleString(simpleString);
        //keep a count to make sure this is not injected twice
        ++setCount;
    }

    public int getSetCount() {
        return setCount;
    }
}
